cubrid_num_fields
cubrid_query
CUBRID MySQL Compatibility Functions
PHP Manual

# cubrid_ping

(PECL CUBRID >= 8.3.1)

cubrid_ping — Ping a server connection or reconnect if there is no connection

### Description

bool cubrid_ping ([ resource `$conn_identifier` ] )

Checks whether or not the connection to the server is working.

### Parameters

`conn_identifier`

  The CUBRID connection identifier. If the connection identifier is not specified, the last connection opened by cubrid_connect() is assumed.

### Return Values

Returns `TRUE` if the connection to the server CUBRID server is working, otherwise `FALSE`.

### Examples

Example #1 cubrid_ping() example

`<?php
set_time_limit(0);
$conn = cubrid_connect('localhost', 33000, 'demodb');
/* Assuming this query will take a long time */
$sql = "select * from athlete";
$result = cubrid_query($sql);
if (!$result) {
echo 'Query #1 failed, exiting.';
exit;
}
/* Make sure the connection is still alive, if not, try to reconnect */
if (!cubrid_ping($conn)) {
echo 'Lost connection, exiting after query #1';
exit;
}
cubrid_free_result($result);
/* So the connection is still alive, let's run another query */
$sql2 = "select * from code";
$result2 = cubrid_query($sql2);
?>`

cubrid_num_fields
cubrid_query
CUBRID MySQL Compatibility Functions
PHP Manual